# $Revision: 1.3 $, $Date: 2008/07/20 12:12:19 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	MOP
Summary:	Class::MOP - A Meta Object Protocol for Perl 5
Summary(pl.UTF-8):	Class::MOP - protokół metaobiektów (Meta Object Protocol) dla Perla 5
Name:		perl-Class-MOP
Version:	0.63
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d3b00b0f5b1ec34324b24528e5d26cb1
URL:		http://search.cpan.org/dist/Class-MOP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-MRO-Compat >= 0.05
BuildRequires:	perl-Scalar-List-Utils >= 1.18
BuildRequires:	perl-Sub-Identify >= 0.03
BuildRequires:	perl-Sub-Name >= 0.02
BuildRequires:	perl-Test-Exception >= 0.21
BuildRequires:	perl-Test-Simple >= 0.62
%endif
Requires:	perl-Scalar-List-Utils >= 1.18
Requires:	perl-Sub-Identify >= 0.03
Requires:	perl-Sub-Name >= 0.02
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::MOP is a fully functioning meta object protocol for the
Perl 5 object system. It makes no attempt to change the behavior or
characteristics of the Perl 5 object system, only to create a protocol
for its manipulation and introspection.

That said, it does attempt to create the tools for building a rich
set of extensions to the Perl 5 object system. Every attempt has been
made for these tools to keep to the spirit of the Perl 5 object system
that we all know and love.

%description -l pl.UTF-8
Class::MOP to w pełni funkcjonalny protokół metaobiektów dla systemu
obiektowego Perla 5. Nie próbuje zmieniać zachowania czy
charakterystyki systemu obiektowego Perla 5, a jedynie tworzy protokół
do własnych operacji i obserwacji.

Oznacza to, że klasa ta nie tworzy narzędzi do budowania bogatego
zbioru rozszerzeń do systemu obiektowego Perla 5 - dołożono wszelkich
starań, aby utrzymać te narzędzia w duchu znanego i lubianego systemu
obiektowego Perla 5.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/metaclass.pm
%{perl_vendorarch}/Class/MOP.pm
%{perl_vendorarch}/Class/MOP
%dir %{perl_vendorarch}/auto/Class/MOP
%{perl_vendorarch}/auto/Class/MOP/MOP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Class/MOP/MOP.so
%{_mandir}/man3/Class::MOP*.3pm*
%{_mandir}/man3/metaclass.3pm*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-MOP.spec,v $
Revision 1.3  2008/07/20 12:12:19  qboosh
- updated to 0.63

Revision 1.2  2008/07/20 11:20:11  qboosh
- pl

Revision 1.1  2008/05/01 17:13:29  radek
- new
